<?php
/**
 * Plugin Name: Automatische Freischaltung likes und repost
 * Description: Schaltet Like und Repost Beiträge automatisch frei
 * Version: 1.0.0
 * Author: mapf.net
 */

function automatische_kommentarfreischaltung( $approved, $commentdata ) {
	$autofreischaltung = array(
		"repost",
		"like"
	);
	if (isset($commentdata['comment_type'])) {
		if ( in_array( $commentdata['comment_type'], $autofreischaltung, true ) ) {
			return 1; // Kommentar automatisch freischalten
		}
	}
	return $approved; // Ansonsten die normale Freigabe beibehalten
}
add_filter( 'pre_comment_approved', 'automatische_kommentarfreischaltung', 20, 2 );
?>